/* Rexx */
/*-------------------------------------------------------*/
/* Command file to update VATC server install with              */
/*   V3hotfix1 for OS2.                                                      */
/* Renames updated files to *.hf1 and copies new files         */
/*  from V3hotfix1.  Rebind step is included for whatever      */
/*  family is set in TC_FAMILY.  User can decline rebind        */
/*------------------------------------------------------*/  

'@echo off'
do while queued() > 0
   pull junk
end /* do */
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

env = 'OS2ENVIRONMENT'
lessmsg = ' >NUL 2>&1 '
here1 = directory()

TCdir = value( 'TC_HOME',, env )
TCfam = value( 'TC_FAMILY',,env )
TCdll = TCdir'\dll'

if stream(TCdll,'c','query datetime') = '' then do
  say 'Cannot find Team Connection directory, tried using ' TCdir
  say 'Stopping'
  EXIT
end /* do */

/* do dlls first */
call directory TCdll
call docopy 'FHBBUILD.DLL', here1
call docopy 'FHCHTTPD.DLL', here1
call docopy 'FHCKRNL.DLL', here1

/* check for server structure, the do bnd files */
TCchk = TCdir'\NLS\CFG\_tcbase.bnd'
TCcfg = TCdir'\NLS\CFG'
if stream(TCchk,'c','query exists') <> '' then do
  call directory TCcfg
  call docopy 'adlink.bnd', here1
  call docopy 'admerge.bnd', here1
  call docopy 'adobject.bnd', here1
  call docopy 'advroot.bnd', here1
  call docopy 'fhccntxt.bnd', here1
  call docopy 'fhcfgfld.bnd', here1
  call docopy 'fhcversn.bnd', here1
  call docopy 'fixup.bnd', here1
  call docopy 'session.bnd', here1
  call docopy 'tccollc.bnd', here1
  call docopy 'tctrans.bnd', here1
  call docopy '_tcbase.bnd', here1
  call docopy '_tcbuild.bnd', here1


  say '*********ATTENTION************************' 
  say ' You must re-bind the family data base now.'
  say ' Some errors are acceptable. '
  say ' Please refer to the hotfix readme file'
  say '******************************************'
  say ' ' 
  say ' '
  say 'TC_FAMILY is set to ' TCfam
  say 'Proceed to re-bind ' TCfam' Yes|No ?'
  parse upper pull reply 
  reply = strip(reply)
  if reply = 'YES' | reply = 'Y' then do
     say ' Have you completed DB2 backup of 'TCfam ' Yes|No ?'
     parse upper pull reply
     reply = strip(reply)  
     if reply = 'YES' | reply = 'Y' then do
        say ' Running FHCIRT '
        fhcirt TCcfg'\*.bnd ' 

    end /* do */
  end /* do */
end /* do */

call directory here1
say 'Finished '
return

docopy: procedure
  file = arg(1)
  fromdir = arg(2)

  parse var file fname '.' ftype
  bkname = fname'.hf1'
  say 'Renaming ' file ' to ' bkname
  rename file fname'.hf1'  /* rename so original backup is never overwritten */
  say 'Copying ' file
  copy fromdir'\'file
 return
  

